
require('datejs');
const API_AI_PARAMETER = "Subst_feriados";
let packageUtil = {};



packageUtil.findCurrentPackage = function(intent, companyId, functionFindPackage){

    return new Promise((resolve, reject) => {

        let sub = intent[API_AI_PARAMETER];

        if (sub && sub != "") {

            let dialog = companyId + "." + "pacotes";
            let findPaccote = functionFindPackage(dialog, session);

            if (findPaccote) {

                let findCurrentPackage = findPaccote.value.find(item => {
                    return item.holiday == sub && packageUtil.isValidPackage(item);
                });

                if (findCurrentPackage) {
                    resolve(findCurrentPackage);
                }else{
                    reject({type: 'package_is_not_active_or_exists'});
                }

            }else{
                reject({type: 'dialog_package_not_found'});
            }

        }else{
            reject({type: 'is_not_package'});
        }
    })

}


packageUtil.isValidPackage = function(packageAsk) {
    return Date.parse(packageAsk.dateEnd)  > new Date() && packageAsk.active;
};






module.exports = packageUtil;